[**Headlamp Sealed Secrets API v0.2.0**](../../README.md)

***

[Headlamp Sealed Secrets API](../../README.md) / lib/validators

# lib/validators

## Interfaces

- [ValidationResult](interfaces/ValidationResult.md)

## Functions

- [isSealedSecret](functions/isSealedSecret.md)
- [validateSealedSecretInterface](functions/validateSealedSecretInterface.md)
- [isSealedSecretScope](functions/isSealedSecretScope.md)
- [isValidK8sName](functions/isValidK8sName.md)
- [isValidK8sKey](functions/isValidK8sKey.md)
- [isValidPEM](functions/isValidPEM.md)
- [isNonEmpty](functions/isNonEmpty.md)
- [isValidNamespace](functions/isValidNamespace.md)
- [validateSecretName](functions/validateSecretName.md)
- [validateSecretKey](functions/validateSecretKey.md)
- [validateSecretValue](functions/validateSecretValue.md)
- [validatePEMCertificate](functions/validatePEMCertificate.md)
- [validatePluginConfig](functions/validatePluginConfig.md)
